import 'source-map-support/register';
import { Context, Schema } from 'koishi';
import { MyPluginConfig, MyPluginConfigLike } from './config';
import { schemaFromClass, schemaTransform } from 'koishi-utils-schemagen';

export class MyPlugin {
  private config: MyPluginConfig;
  private ctx: Context;
  name = 'myplugin-main';
  schema: Schema<MyPluginConfigLike> = schemaFromClass(MyPluginConfig);
  apply(ctx: Context, config: MyPluginConfigLike) {
    this.ctx = ctx;
    this.config = schemaTransform(MyPluginConfig, config);
  }
}
