import 'source-map-support/register';
import { Context } from 'koishi';
import { MyPlugin } from './plugin';
import { MyPluginConfigLike } from './config';
export * from './config';
export * from './plugin';

export const name = 'myplugin';
const plugin = new MyPlugin();
export const schema = plugin.schema;
export function apply(ctx: Context, config: Partial<MyPluginConfigLike>) {
  ctx.plugin(plugin, config);
}
